> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Autocomplete



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/places/autocomplete
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/places/autocomplete:
    get:
      tags:
        - Places
      summary: Autocomplete
      operationId: PlacesController_autocomplete_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: input
          required: true
          in: query
          schema:
            type: string
            minLength: 2
            maxLength: 200
        - name: sessionToken
          required: true
          in: query
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaceAutocompleteResponseDto'
components:
  schemas:
    PlaceAutocompleteResponseDto:
      type: object
      properties:
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/PlaceSuggestionDto'
      required:
        - suggestions
    PlaceSuggestionDto:
      type: object
      properties:
        placeId:
          type: string
        primaryText:
          type: string
        secondaryText:
          type:
            - string
            - 'null'
      required:
        - placeId
        - primaryText
        - secondaryText

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.